fbsql_tablename
fbsql_warnings
FrontBase Functions
PHP Manual

# fbsql_username

(PHP 4 >= 4.0.6, PHP 5, PHP 7)

fbsql_username — Get or set the username for the connection

### Description

string fbsql_username ( resource `$link_identifier` [, string `$username` ] )

Get or set the username used for the connection.

### Parameters

`link_identifier`

  A FrontBase link identifier returned by fbsql_connect() or fbsql_pconnect().

  If optional and not specified, the function will try to find an open link to the FrontBase server and if no such link is found it will try to create one as if fbsql_connect() was called with no arguments.

`username`

  If provided, this is the new username to set.

### Return Values

Returns the current username used with the connection, as a string.

### See Also

- fbsql_password() - Get or set the user password used with a connection
- fbsql_hostname() - Get or set the host name used with a connection

fbsql_tablename
fbsql_warnings
FrontBase Functions
PHP Manual